-- ************************************************************************** **
--                       EskaQuestTracker                                     **
--                  All Rights Reserved - Skamer                              **
-- *****************************************************************************
-- =============================================================================
-- ========================================================================== --
Scorpio                "EskaQuestTracker.Options.Quests"                      ""
-- ========================================================================== --
namespace "EQT"

_Categories.Quests = {
  type = "group",
  name = "Quests",
  order = 2,
  childGroups = "tab",
  args = {
    general = {
      type = "group",
      name = "General",
      order = 1,
      args = {
        showQuestID = {
          type = "toggle",
          name = "Show quest id",
          order = 1,
          get = function() return Quest.showID end,
          set = function(_, value) Quest.showID = value end,
        },
        showQuestLevel = {
          type = "toggle",
          name = "Show quest level",
          order = 2,
          get = function() return Quest.showLevel end,
          set = function(_, value) Quest.showLevel = value end,
        }
      }
    },
    fonts = {
      type = "group",
      name = "Fonts",
      order = 2,
      args = {
        name = {
          type = "group",
          name = "Name",
          inline = true,
          order = 1,
          args = _OptionBuilder:CreateTextOptions(Quest, "name")
        },
        level = {
          type = "group",
          name = "Level",
          inline = true,
          order = 2,
          args = _OptionBuilder:CreateTextOptions(Quest, "level")
        },
        header = {
          type = "group",
          name = "Header",
          inline = true,
          order = 3,
          args = _OptionBuilder:CreateTextOptions(QuestHeader)
        }
      }
    }
  }
}
